@charset "UTF-8";

/* ===============================================
  共通ヘッダー・共通フッター
  共通のブレイクポイント：768px
=============================================== */

/* ===============================================
  共通ヘッダー全体
=============================================== */
.site-header {
  display: grid;
  transition: all .4s;
  background-color: rgba(255,255,255,.85);
  backdrop-filter: blur(7px);
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 10;
}

/* サイト内検索を開いている時は固定 */
.site-header.fixed {
  width: 100%;
  background-color: #fff;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
}

/* スマホメニュー開いている時
------------------------------------- */
.contents-wrapper.modal-gnav .site-header {
  width: 100vw;
  position: fixed;
  z-index: 100;
  top: 0;
}
.contents-wrapper.modal-gnav .section-info {
  display: none;
}
.contents-wrapper.modal-gnav .logo-bindcamp .bind {
  fill: #fff;
}


/* ===============================================
  ヘッダー：インフォメーションバー
=============================================== */
.section-info {
  background-color: rgba(255,255,255,.8);
  backdrop-filter: blur(7px);
}
.section-info a {
  background-color: color-mix(in oklch, var(--color-secondary-light) 90%, transparent);
  display: block;
  padding: .5em;
  text-align: center;
  font-size: var(--font-s);
  font-weight: 500;
  color: var(--color-text);
  line-height: 1.4;
  text-decoration: underline;
  text-decoration-color: color-mix(in oklch, var(--color-text) 50%, transparent);
}
.section-info a::before {
  content: "New";
  display: inline-block;
  margin-right: 0.5em;
  color: var(--color-secondary);
  text-transform: uppercase;
  font-weight: 700;
}


/* ===============================================
  ヘッダー：グロナビ
=============================================== */

/* グロナビ全体
------------------------------------- */
.gnav {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: min( 2vw, 2em );
  margin: 0;
  padding: var(--margin);
  /* background-color: #fff; */
  transition: all .4s;
}
/* スティッキー時 */
:where(.site-header.sticky) .gnav {
  padding-top: var(--margin-s);
  padding-bottom: var(--margin-s);
}

/* ロゴ */
.logo-header {
  padding-bottom: 5px;
  width: 110px;
  max-width: 100%;
  line-height: 1.1;
  color: var(--black-color);
  z-index: 101;
}
.logo-header svg {
  vertical-align: bottom;
}

@media (max-width: 1100px) {
  .gnav {
    padding-top: var(--margin-s);
    padding-bottom: var(--margin-s);
    padding-right: var(--margin-s);
  }
  .gnav-minimum {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--margin-s);
  }
  .logo-header {
    width: 110px;
    padding-bottom: 0;
  }
}


/* 第1階層
------------------------------------- */
/* メニュー全体 */
.gnav-menu {
  flex: auto 1 1;
  display: flex;
  justify-content: space-between;
  gap: 0 var(--margin);
  column-gap: clamp( 1em, 1.5vw, 2em );
  font-size: var(--font-s);
  font-weight: 600;
}
.gnav-list {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  column-gap: clamp( 1em, 1vw, 2em );
}
.gnav-list.-main {
  flex-grow: 2;
}
.gnav-list.-cv {
  column-gap: clamp( 1em, 1.5vw, 2em );
}
.gnav-list li {
  position: static;
}

/* 新着情報 */
.gnav-list .new {
  position: relative;
}
.gnav-list .new::after {
  content: '';
  position: absolute;
  display: block;
  width: 5px;
  height: 5px;
  border-radius: 3px;
  right: -6px;
  top: -.1em;
  background-color: var(--color-primary);
  animation: blink 1.8s ease-in-out infinite alternate;
}
@keyframes blink {
  0% {opacity:0;}
  100% {opacity:1;}
}

/* メインメニュー */
.gnav-list.-main a {
  position: relative;
  display: block;
  color: var(--color-text);
  line-height: 1;
}
.gnav-list.-main a:hover {
  opacity: 1;
  position: relative;
}
/* 親メニュー */
.gnav-list.-main a.parent {
  padding: .5em 0;
}
.gnav-list.-main a.parent::before {
  content: "";
  position: absolute;
  left: 50%;
  right: 0;
  bottom: -6px;
  height: 3px;
  width: 0;
  border-radius: 10px;
  background-color: var(--color-primary);
  transition: all .4s;
}
.gnav-list a.parent:hover::before {
  content: "";
  display: block;
  width: 100%;
  left: 0;
}

.media-search {
  flex: 0 1 clamp(110px, 16vw, 200px);
}


/* CV
------------------------------------- */
.gnav-list.-cv .btn {
  min-width: auto;
  font-size: var(--font-s);
  padding: .9em 1.254em;
}

/* スマホ向けレイアウト
------------------------------------- */
@media (max-width: 1100px) {
  /* メニューエリア */
  .gnav-menu {
    width: 100%;
    height: 100vh;
    background-color: var(--color-bgblack);
    position: fixed;
    top: 0;
    left: 0;
    transform: translateX(100%);
    visibility: hidden;
    transition: transform .3s ease, visibility 0s .3s;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-content: center;
    gap: var(--margin);
    z-index: 0;
    overflow: hidden;
    padding: var(--margin-l);
  }
  .gnav-menu.active {
    transform: translateX(0);
    visibility: visible;
    transition: transform .3s ease, visibility 0s 0s;
  }
  /* メインメニュー */
  .gnav-list {
    width: 100%;
    max-width: var(--contents-width-s);
    display: grid;
    gap: 0;
  }
  /* 親メニュー */
  .gnav-list.-main a.parent {
    padding: .75em 0;
    font-size: var(--font-m);
    color: #fff;
  }
  .gnav-list.-main a.parent::before {
    display: none;
  }
  /* 第2階層あり */
  .gnav-list li:has(.gnav-sub) > a.parent::after {
    display: none;
  }
  .gnav-sub {
    display: none;
  }
  /* CV */
  .gnav-list.-cv {
    gap: var(--margin-s);
  }
  .gnav-list.-cv .btn {
    width: 100%;
    padding: var(--margin-s);
    font-size: var(--font-m);
  }
  .gnav-list.-cv .btn.type-outline {
    color: var(--color-primary);
    border-color: #fff;
    background-color: #fff;
  }

  .media-search {
    display: none;
  }
}

/* モバイル用：CVボタン（お問合せなど）
   スマートフォンでヘッダー右側に表示する
------------------------------------- */
.gnav-minimum-cv {
  display: none;
  flex: auto 1 1;
  text-align: right;
}
.gnav-minimum-cv .btn {
  width: auto;
  min-width: auto;
  font-size: var(--font-s);
  padding: .8em 1em;
}
@media (max-width: 1100px) {
  .gnav-minimum-cv {
    display: block;
  }
}

/* モバイル用：ハンバーガーメニューの開閉ボタン
   クリックでドロワーメニューを開閉する
   アクティブ時はバーが×に変化する
------------------------------------- */
.gnav-trigger {
  display: none;
  width: 44px;
  height: 44px;
  margin: 0 !important;
  border-radius: 16px;
  background-color: var(--color-bgblack);
  cursor: pointer;
  position: relative;
  z-index: 101;
}

.gnav-trigger > .label {
  display: block;
  margin-top: 9px;
  font-size: 8px;
  line-height: 1;
  letter-spacing: .05em;
  font-weight: 400;
  text-align: center;
  color: #fff;
}
.gnav-trigger > .label::before,
.gnav-trigger > .label::after {
  content: '';
  width: 22px;
  height: 2px;
  font-size: 0 !important;
  line-height: 0;
  background-color: #fff;
  display: block;
  position: absolute;
  left: 50%;
  translate: -50% 0;
  transition: all .3s ease;
}
.gnav-trigger > .label::before {
  bottom: 19px;
}
.gnav-trigger > .label::after {
  bottom: 12px;
}

/* ドロワー展開時 */
.gnav-trigger.active > .label {
  color: rgba(255, 255, 255, 0);
}
.gnav-trigger.active > .label::before,
.gnav-trigger.active > .label::after {
  top: 50%;
  left: 50%;
  transform-origin: left top 0;
}
.gnav-trigger.active > .label::before {
  transform: rotate(45deg) translate(-50%, -50%);
}
.gnav-trigger.active > .label::after {
  transform: rotate(-45deg) translate(-50%, -50%);
}

@media (max-width: 1100px) {
  .gnav-trigger {
    display: block;
  }
}

/* お問合せページ：表示調整
------------------------------------- */
.template-contact .gnav {
  padding-top: var(--margin-s);
  padding-bottom: var(--margin-xs);
}
.template-contact .site-header {
  position: static;
}
@media (max-width: 1100px) {
  .template-contact .gnav {
    padding-top: var(--margin);
    padding-bottom: var(--margin-l);
  }
}

/* ===============================================
  共通フッター全体（パンくず含む）
=============================================== */
.thanks .contents-footer {
  position: sticky;
  top: 100vh;
}
.contents-footer .section-block.nav-breadcrumbs {
  max-width: 100%;
}

/* ===============================================
  フッター：登録フォーム
=============================================== */
.footer-contact {
  display: grid;
  gap: 1em;
  justify-content: center;
  padding: var(--margin-section) var(--margin);
  background-color: var(--main-color);
  background-image:
  radial-gradient(at 0% 0%, hsla(177,89%,41%,1) 0px, transparent 50%),
  radial-gradient(at 31% 71%, hsla(217,75%,48%,1) 0px, transparent 50%),
  radial-gradient(at 87% 18%, hsla(177,89%,41%,1) 0px, transparent 50%),
  radial-gradient(at 86% 90%, hsla(177,89%,41%,1) 0px, transparent 50%);
  color: #fff;
}
.footer-contact a {
  color: #fff;
}
.footer-contact .label a {
  text-decoration: underline;
}
.footer-contact #logo_bindup {
  width: 160px;
  height: auto;
}
.footer-contact .form-error:not(:empty) {
  padding: var(--margin-s);
  background-color: #fff;
  color: var(--color-secondary);
  font-size: var(--font-xs);
}

/* ===============================================
  フッター：メニュー
=============================================== */
.footer-sitemap a {
  color: var(--color-text);
}
.footer-sitemap-inner {
  display: grid;
  grid-template-columns: repeat(1fr, 3);
  justify-content: center;
  gap: 1em var(--margin);
  padding: var(--margin);
}

@media (max-width:768px) {
  .footer-sitemap-inner {
    grid-template-columns: 1fr;
  }
}

/* ロゴ
------------------------------------- */
.footer-logo {
  display: grid;
  gap: 10px;
  align-content: start;
}
.footer-logo svg {
  width: 100%;
  max-width: 140px;
  margin: 0;
  line-height: 1;
}
.footer-logo .produce {
  font-size: var(--font-xs);
  /* white-space: nowrap; */
}

/* サイトマップ
------------------------------------- */
.footer-gnav-list {
  display: grid;
  grid-auto-flow: column;
  grid-template-rows: repeat(4, minmax(1.5em, 1fr));
  justify-content: space-between;
  gap: .25em 2em;
  font-size: var(--font-s);
  font-weight: 500;
}

/* サブメニュー */
.footer-gnav-list :has(.footer-gnav-sub) {
  grid-row: 1/-1;
}
.footer-gnav-sub {
  margin-top: .5em;
  display: grid;
  grid-template-rows: repeat(5, 1fr);
  grid-auto-flow: column;
  justify-content: start;
  gap: 0 1.5em;
  font-size: var(--font-xs);
  font-weight: 300;
}

@media (max-width:768px) {
  .footer-gnav-list {
    grid-template-rows: auto;
    grid-auto-flow: row;
    gap: 0;
  }
  .footer-gnav-list :has(.footer-gnav-sub) {
    grid-row: auto;
  }
  .footer-gnav-list a {
    display: block;
    padding-top: .25em;
    padding-bottom: .25em;
  }
  .footer-gnav-sub {
    grid-template-rows: auto; /* アプリ数5以上で削除 */
    grid-auto-flow: row; /* アプリ数5以上で削除 */
    margin-left: 1em;
    margin-bottom: 1em;
    gap: 0 1em;
  }
  .footer-gnav-sub a {
    padding-top: .2em;
    padding-bottom: .2em;
  }
}

/* 規約など
------------------------------------- */
.footer-legal {
  grid-column: 1 / 3;
  padding-top: 1em;
  border-top: 1px solid color-mix(in oklch, var(--color-text) 30%, transparent);
}
.footer-legal-list {
  display: grid;
  grid-auto-flow: column;
  justify-content: center;
  gap: var(--margin-xs);
  font-size: var(--font-xs);
  line-height: 1;
}
.footer-legal-list > li:not(:first-child) {
  padding-left: var(--margin-xs);
  border-left: 1px solid rgba(255,255,255,.3);
}

@media (max-width:768px) {
  .footer-legal {
    grid-column: auto;
  }
  .footer-legal-list {
    grid-auto-flow: row;
    justify-content: start;
    gap: 0;
  }
  .footer-legal-list > li:not(:first-child) {
    padding-left: 0;
    border-left: none;
  }
  .footer-legal-list a {
    display: block;
    padding-top: .5em;
    padding-bottom: .5em;
  }
}


/* ===============================================
  検索フォーム
=============================================== */
.form.search_article {
  padding: 0;
  border: none;
  border-bottom: 1px solid var(--color-text);
  background-color: transparent;
  display: flex;
  align-items: center;
}
.form.search_article input {
  width: calc(100% - 1.5em);
  padding-left: 0;
  border: none;
  background-color: transparent;
}
.form.search_article input::placeholder {
  font-size: var(--font-s);
}

.form.search_article .icon-search {
  min-width: auto;
  padding: 0;
  background-color: transparent;
  border: none;
}
.form.search_article .icon-search::before {
  content: url( 'data:image/svg+xml;utf-8,<svg fill="%23252525" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d="M26.6,2.2c-2.1-1.4-4.5-2.2-7-2.2C12.8,0,7.2,5.5,7.2,12.4c0,2.5,0.8,5,2.2,7L0,28.8L3.2,32l9.4-9.4c5.6,3.9,13.3,2.5,17.2-3.2C33.7,13.8,32.3,6.1,26.6,2.2z M19.6,19.7c-4,0-7.3-3.3-7.3-7.3s3.3-7.3,7.3-7.3s7.3,3.3,7.3,7.3C26.9,16.4,23.7,19.7,19.6,19.7z"/></svg>' );
  width: 1.5em;
  display: inline-block;
}


/* ===============================================
  スマホ向け検索ボタン（右下固定）
=============================================== */

/* デフォルトは非表示 */
.search-trigger {
  display: none;
}

@media (max-width: 1100px) {
  /* スマホのみ：右下に固定表示（ .nav-search 内に配置） */
  .nav-search .search-trigger {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 200;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: var(--color-bgblack);
    box-shadow: rgba(255, 255, 255, .4) 0px 0px 4px;
    cursor: pointer;
    transition: 0.3s ease;
    margin: 0;
  }
  .nav-search .search-trigger .label {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    background-color: transparent;
    line-height: 0;
  }
  /* 通常時：検索アイコン（白） */
  .nav-search .search-trigger .label::before {
    content: url( 'data:image/svg+xml;utf-8,<svg fill="%23ffffff" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 28"><path d="M21.3,3.8H0V0.4h21.3V3.8z M13,14.3c0-1.1,0.2-2.2,0.5-3.2H0v3.4h13C13,14.4,13,14.4,13,14.3z M17.3,5.7H0v3.4h14.3C15,7.8,16.1,6.7,17.3,5.7z M30.5,19.1c-2.6,3.8-7.8,4.8-11.7,2.2l-6.4,6.4l-2.2-2.2l6.4-6.4c-1-1.4-1.5-3.1-1.5-4.8c0-4.6,3.8-8.4,8.4-8.4c1.7,0,3.4,0.5,4.8,1.5C32.2,10,33.1,15.3,30.5,19.1z M28.6,14.3c0-2.7-2.2-5-5-5s-5,2.2-5,5s2.2,5,5,5C26.3,19.3,28.6,17.1,28.6,14.3z"/></svg>' );
    width: 26px;
    display: block;
    line-height: 0;
  }
  /* 開いている時：×アイコン（白） */
  .nav-search.active .search-trigger .label::before {
    content: url( 'data:image/svg+xml;utf-8,<svg fill="%23ffffff" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"/></svg>' );
  }
}


/* ===============================================
  スマホ向け検索モーダル（.nav-search）
=============================================== */

/* PCでは非表示 */
.nav-search {
  display: none;
}

/* スマホのみ：高さで開閉アニメーション */
@media (max-width: 1100px) {
  .nav-search {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 11;
    /* width: 100%; */
    height: 0;
    margin-top: 0 !important;
    max-width: none;
    background-color: var(--color-gray-light);
    transition: height 0.3s ease;
    overflow: hidden;
    padding: 0 var(--margin);
  }
  .nav-search.active {
    height: 100vh;
    padding-top: calc( var(--header-height) + var(--margin) );
    padding-bottom: var(--margin);
  }
}

/* 検索フォーム */
.nav-search .search_article {
  margin-top: 1em;
}

/* おすすめタグ一覧 */
.nav-search .tag-list {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  margin-top: 1em;
  font-size: var(--font-s);
}
.nav-search ul.tag-list li::before {
  display: none;
}
.nav-search .tag-list a {
  display: inline-flex;
  align-items: center;
  padding: .5em .75em .5em .5em;
  border: 1px solid var(--color-text);
  border-radius: 10em;
  background-color: #fff;
  color: var(--color-text);
  line-height: 1;
}
.nav-search .tag-list a::before {
  content: '#';
  margin-right: .5em;
  padding: .25em .46em;
  color: #fff;
  letter-spacing: 0;
  border-radius: 10em;
  background-color: var(--color-text);
  vertical-align: middle;
  display: inline-block;
}
